Bug 211094 - net/opensips: Update to 2.1.3
Summary: net/opensips: Update to 2.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-13 20:26 UTC by Euan Thoms
Modified: 2016-07-21 11:28 UTC (History)
1 user (show)

See Also:


Attachments
Diff patch between current port version and upgrade to v2.1.3 (7.34 KB, patch)
2016-07-13 20:26 UTC, Euan Thoms
euan: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Euan Thoms 2016-07-13 20:26:27 UTC
Created attachment 172480 [details]
Diff patch between current port version and upgrade to v2.1.3

Update to version 2.1.3. The reason I'm not going to 2.2.0 (the latest and newly released LTS) is for the following reasons:

- Stability: my experience with OpenSIPS on FreeBSD (perhaps just in jails) is that it can be unstable on certain versions and/or configurations. Stability is most important to me. Version 2.1.3 is just a bug fix release over the currently ported 2.1.2. Once the new LTS version matures (2.2.1 or 2.2.2) I'll switch to it.

- Development time: I don't have too much time at the moment to develop the port for any new features or other changes in a new major point release. Since the OpenSIPS port is quite a difficult one to develop (no autotools or cmake), it could take quite a big of R&D to get it right.

- Testing: I have not got the time at the moment to runtime test a new major point release. By tracking the known to be stable 2.1.x branch, it buys me time to develop and test the new 2.2.x (LTS branch) once I get some more time.

The changes in this update were mostly rudimentary. I did have to fix some issues raised by DEVELOPER=yes, mostly missing LIB_DEPENDS.

NOTE: I'm not sure why I need USES+=ssl when TLS option is not selected, but I added it anyway to keep DEVELOPER=yes happy.
Comment 1 Euan Thoms 2016-07-14 10:22:32 UTC
Forgot to mention...

portlint -AC       : PASSES
make check-plist   : PASSES
DEVELOPER=yes make : PASSES
Comment 2 Kurt Jaeger freebsd_committer 2016-07-17 09:44:47 UTC
testbuilds@work
Comment 3 Kurt Jaeger freebsd_committer 2016-07-17 15:27:43 UTC
testbuilds are ok
Comment 4 Kurt Jaeger freebsd_committer 2016-07-17 15:42:06 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2016-07-17 15:42:58 UTC
A commit references this bug:

Author: pi
Date: Sun Jul 17 15:41:56 UTC 2016
New revision: 418670
URL: https://svnweb.freebsd.org/changeset/ports/418670

Log:
  net/opensips: 2.1.2 -> 2.1.3

  PR:		211094
  Changes:	http://opensips.org/pub/opensips/2.1.3/ChangeLog
  Submitted by:	Euan Thoms <euan@potensol.com> (maintainer)

Changes:
  head/net/opensips/Makefile
  head/net/opensips/distinfo
  head/net/opensips/files/patch-Makefile
  head/net/opensips/files/patch-Makefile.defs
  head/net/opensips/files/patch-io_wait.h
  head/net/opensips/files/patch-mem__shm_mem.h
  head/net/opensips/files/patch-modules__proto_tls__proto_tls.c